import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:go_router/go_router.dart';
import 'package:pharmacy_mobile/auth/auth_service.dart';
import 'package:pharmacy_mobile/widgets/button_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_pagebackground_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_title_widget.dart';
import 'package:pharmacy_mobile/widgets/snackbar_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';
import 'package:animated_notch_bottom_bar/animated_notch_bottom_bar/animated_notch_bottom_bar.dart';

class CustomerProfilePage extends StatefulWidget {
  // final NotchBottomBarController? controller;
  const CustomerProfilePage({super.key});

  @override
  State<CustomerProfilePage> createState() => _CustomerProfilePageState();
}

class _CustomerProfilePageState extends State<CustomerProfilePage> {
  final authService = AuthService();

  void _signOut() async {
    // ignore: use_build_context_synchronously
    await authService.signOut().then((_) => {context.go('/'), showNotification(context, 'Logged Out', true)});
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: CustomerPagebackgroundWidget(
            child: Column(
      children: [
        Column(
          children: [
            const Gap(96),
            const CustomerTitleWidget(),
            const Gap(32),
            const TextWidget(text: 'My Profile'),
            const Gap(16),
            const Gap(32),
            ButtonWidget(text: 'Log Out', onPressed: _signOut)
          ],
        )
      ],
    )));
  }
}
